/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.service;

import java.io.Serializable;

public class WorkItemsSummary implements Serializable {

	private static final long serialVersionUID = 393007382583939545L;

	private int myOverdueCaseCount = 0;

	private int assignedOverdueCaseCount = 0;

	private int unassignedOverdueCaseCount = 0;

	private int myCaseCount = 0;

	private int assignedCaseCount = 0;

	private int unassignedCaseCount = 0;

	public WorkItemsSummary() {
	}

	public int getAssignedCaseCount() {
		return assignedCaseCount;
	}

	public int getAssignedOverdueCaseCount() {
		return assignedOverdueCaseCount;
	}

	public int getMyCaseCount() {
		return myCaseCount;
	}

	public int getMyOverdueCaseCount() {
		return myOverdueCaseCount;
	}

	public int getUnassignedCaseCount() {
		return unassignedCaseCount;
	}

	public int getUnassignedOverdueCaseCount() {
		return unassignedOverdueCaseCount;
	}

	public void setAssignedCaseCount(int assignedCaseCount) {
		this.assignedCaseCount = assignedCaseCount;
	}

	public void setAssignedOverdueCaseCount(int assignedOverdueCaseCount) {
		this.assignedOverdueCaseCount = assignedOverdueCaseCount;
	}

	public void setMyCaseCount(int myCaseCount) {
		this.myCaseCount = myCaseCount;
	}

	public void setMyOverdueCaseCount(int myOverdueCaseCount) {
		this.myOverdueCaseCount = myOverdueCaseCount;
	}

	public void setUnassignedCaseCount(int unassignedCaseCount) {
		this.unassignedCaseCount = unassignedCaseCount;
	}

	public void setUnassignedOverdueCaseCount(int unassignedOverdueCaseCount) {
		this.unassignedOverdueCaseCount = unassignedOverdueCaseCount;
	}

}
